
PYROS - Evolution #4213
Evolution # 4090 (Nouveau): ******************* PYROS SOFTWARE
Evolution # 4093 (Nouveau): ************** (WP) 09.1 – OBSERVATORY CONTROL
Evolution # 4058 (Nouveau): ******* (M) 09.1.30 - SCHEDULER - PLAN

* (F) Scheduler VIEW (web page)
Status: Nouveau Start date: 08/03/2016
Priority: Normal Due date:
Assignee: % Done: 7%
Category: Estimated time: 246.00 hours
Target version: Spent time: 0.00 hour
Description

- By default, view current schedule
- Buttons to go back to browse previous schedules
- Schedule is interactive : on clic on a sequence => show its Request (alert or routine) context, and details of the sequence
- Current schedule is constantly updated (refreshed) every N seconds, and show the current TIMELINE ; past sequences are normal
style, pending sequences are BOLD, currently executing sequence is BOLD and BLINKING
- To be more detailed

Subtasks:
Evolution # 4278: Display a schedule Nouveau
  Evolution # 4178: Link alert sequences to their Request in the Alert manager Nouveau
  Evolution # 4028: Link user's sequences to their Request in the routine manager Nouveau
Evolution # 4279: Display general view template Nouveau
Evolution # 4280: Buttons to browse previous schedules Nouveau
Evolution # 4281: Display current schedule, refreshed every N seconds, with current Tim... Nouveau
Evolution # 4030: Give access to rejected sequences of a schedule, and the reasons of r... Nouveau
Evolution # 4342: Eviter que la vue du Scheduler s'affiche avec une erreur (IndexError)... Nouveau
Anomalie # 4343: Affichage d'un schedule : pour chaque ligne (séquence), ajouter une co... Nouveau
Evolution # 4360: Link the main page to the current schedule instead of the simulation ... Nouveau
Evolution # 4361: Show user sequences in the schedules (with links) Nouveau
Evolution # 4362: Give accces to old schedules (day / days before / all end-night plann... Nouveau
Evolution # 4370: Blank space filling Nouveau
Evolution # 4485: (FT) Tests Nouveau
Evolution # 4505: Add column "Observatory status" for the planning Nouveau
Evolution # 4507: N'afficher que la fenêtre de temps actuelle (mais on doit pouvoir scr... Nouveau
Evolution # 4508: Remplacer EXECUTED par COMPLETED, EXECUTED (partial) par INTERRUPTED,... Nouveau
Evolution # 4509: Il faudrait une page qui montre toutes les séquences rejetées et exéc... Nouveau
Evolution # 4767: Automatic refresh for scheduling view Nouveau
Evolution # 4768: Debug and make scheduler compatible for short simulations Nouveau

History
#1 - 09/15/2016 10:20 am - Etienne Pallier
- Subject changed from Display current schedule to (F) Display current schedule

#2 - 09/15/2016 10:24 am - Etienne Pallier
- Subject changed from (F) Display current schedule to (F) Display a schedule

#3 - 09/19/2016 04:05 pm - Etienne Pallier
- Subject changed from (F) Display a schedule to (F) Scheduler VIEW (web page)
#4 - 09/19/2016 04:06 pm - Etienne Pallier
- Description updated

#5 - 10/13/2016 11:47 am - Jeremy Barneron
- Subject changed from (F) Scheduler VIEW (web page) to * (F) Scheduler VIEW (web page)
